com.hazelcast.com.eclipsesource.json

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.com.eclipsesource.json.ParseException

- All Implemented Interfaces:
    Serializable

      public class ParseException
      extends RuntimeException

  An unchecked exception to indicate that an input does not qualify as valid JSON.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()` Returns the index of the character at which the error occurred, relative to the line.
    `int` | `getLine()` Returns the number of the line in which the error occurred.
    `int` | `getOffset()` Returns the absolute index of the character at which the error occurred.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getOffset

          public int getOffset()

      Returns the absolute index of the character at which the error occurred. The index of the first character of a document is 0.
      Returns:
        the character offset at which the error occurred, will be >= 0

    - #### getLine

          public int getLine()

      Returns the number of the line in which the error occurred. The first line counts as 1.
      Returns:
        the line in which the error occurred, will be >= 1

    - #### getColumn

          public int getColumn()

      Returns the index of the character at which the error occurred, relative to the line. The index of the first character of a line is 0.
      Returns:
        the column in which the error occurred, will be >= 0

Copyright © 2018. All rights reserved.